%define name	cvs2svn
%define version	1.3.1
%define release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Development/Other
Summary:	Convert CVS repositories to Subversion repositories
Source0:        http://cvs2svn.tigris.org/files/documents/1462/15996/%{name}-%{version}.tar.bz2
Url:		http://cvs2svn.tigris.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
# for testing 
BuildRequires:	python
BuildRequires:	subversion
BuildRequires:	cvs
BuildRequires:	rcs
Requires:	python
Requires:	python-svn
Requires:	subversion subversion-tools
Requires:	cvs
Requires:	rcs 
BuildArch:	noarch 

%description
cvs2svn aims to allows you to convert a CVS repository to 
a Subversion one. This work for complete conversion, not a synchronisation
for each commit.

The software is still in beta stage, so use it to your own risk.

%prep
%setup -q

%build

%check
# needed for testing
LANG=en_US.UTF-8
export LANG
unset LANGUAGE LC_MESSAGES
./run-tests.py

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}/
cp %name verify-cvs2svn %{buildroot}/%{_bindir}/

mkdir -p %{buildroot}/%{py_sitedir}/
cp -r cvs2svn_rcsparse %{buildroot}/%{py_sitedir}/

mkdir -p %{buildroot}/%{_mandir}/man1
cp %{name}.1 %{buildroot}/%{_mandir}/man1/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS COMMITTERS COPYING HACKING README www/
%attr(0755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{py_sitedir}/cvs2svn_rcsparse

%changelog
* Tue Aug 22 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-22 12:30:34 (57477)
- Version 1.3.1
- Updated spec so it will build on 2006.0
- Fixed file attributes so executables are executable by all


* Tue Aug 22 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-22 12:08:02 (57476)
Import cvs2svn

* Wed Feb 01 2006 Michael Scherer <misc@mandriva.org> 1.3.0-6mdk
- requires subversion-tools as seen on cooker mailling list

* Wed Jan 11 2006 Michael Scherer <misc@mandriva.org> 1.3.0-5mdk
- Use new python macro
- use %%check

* Sat Nov 26 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.0-4mdk
- requires python (urllib module needed)

* Sat Sep 24 2005 Michael Scherer <misc@mandriva.org> 1.3.0-3mdk
- fix deps

* Mon Sep 12 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.0-2mdk
- fix missing man page
- spec cleanup

* Tue Aug 23 2005 Michael Scherer <misc@mandriva.org> 1.3.0-1mdk
- New release 1.3
- mkrel
- use my python debugging superpower to find the missing BuildRequires
- fix rpmlint warning 

* Thu Feb 03 2005 Michael Scherer <misc@mandrake.org> 1.1.0-1mdk
- New release 1.1.0

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.0.0-2mdk
- Rebuild for new python

* Thu Sep 02 2004 Michael Scherer <misc@mandrake.org> 1.0.0-1mdk
- 1.0.0, no longer svn and rpmbuildupdate aware
 

* Tue Aug 17 2004 Michael Scherer <misc@mandrake.org> 0.rev1326-1mdk
- New release 0.rev1326

* Thu Jul 29 2004 Michael Scherer <misc@mandrake.org> 0.rev1173-1mdk
- New release 0.rev1173

* Sat Jun 05 2004 Michael Scherer <misc@mandrake.org> 0.rev957-2mdk 
- add python as BuildRequires ( python-base is not enough )

* Sun May 23 2004 Michael Scherer <misc@mandrake.org> 0.rev957-1mdk
- New release 0.rev957

* Wed Apr 28 2004 Michael Scherer <misc@mandrake.org> 0.rev923-1mdk
- New release 0.rev923

* Fri Apr 09 2004 Michael Scherer <misc@mandrake.org> 0.rev914-2mdk
- Update the spec file to be auto updateable with svn://

* Thu Apr 08 2004 Michael Scherer <misc@mandrake.org> 0.rev914-1mdk
- First package, based on work from David Summers <david@summersoft.fay.ar.us>

